function a=funtext(mat,str)
% function for presentation matrix in figure 
% elements of matrix are character
% mat  matrix 
% str  define the position of matrix
%      1   in left top corner   
%      2   in center figure
%      3   in right top corner

if str==1
    n1=0.02;
    n2=0.60;
elseif str==2
    n1=0.20;
    n2=0.60;
else
    n1=0.50;
    n2=0.60;
end

[rows,columns]=size(mat);

if rows==1 & columns==1
    a=uicontrol('style','text','backgroundcolor','w','units','normalized',...
        'FontSize',10,'position',[n1 0.52 0.25 0.03]);
    handles.a=a;
    if isnumeric(mat)
        set(handles.a,'string',num2str(mat));
    else
        set(handles.a,'string',char(mat));
    end
else
    if isnumeric(mat)
        m=char(pol(mat));
    else
        m=char(mat);
    end
    len=zeros(rows,columns);
    for i=1:rows
        for j=1:columns
            len(i,j)=length(m{i,j});
        end
    end
    lenmax=max(max(len))+2;
    n3=lenmax*0.006;
    if n3 <= 0.12
        n4=0.03;
    elseif n3 <= 0.18
        n3=0.12;
        n4=0.05;
    elseif n3 <= 0.28
        n3=0.12;
        n4=0.08;
    else
        n3=0.12;
        n4=0.12;
    end
    for i=1:rows
        for j=1:columns
            a(i,j)=uicontrol('style','text','backgroundcolor','w','units','normalized',...
                'FontSize',10,'position',[n1+(n3+0.01)*(j-1) n2-(n4+0.02)*i n3 n4]);
        end
    end
    handles.a=a;
    if isnumeric(mat)
        for i=1:rows
            for j=1:columns
                set(handles.a(i,j),'string',num2str(mat(i,j)));
            end
        end
    else
        mat=char(mat);
        for i=1:rows
            for j=1:columns
                set(handles.a(i,j),'string',mat(i,j))
            end
        end
    end
end